### Method

# Gio File copy_async_with_closures

since: 2.82

#### Declaration [src]

    void
    g_file_copy_async_with_closures (
      GFile* source,
      GFile* destination,
      GFileCopyFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GClosure* progress_callback_closure,
      GClosure* ready_callback_closure
    )

#### Description [src]

Version of `g_file_copy_async()` using closures instead of callbacks for easier binding in other languages.

Available since: 2.82

This method completes asynchronously. Use `g_file_copy_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This method is renamed to `g_file_copy_async()` in language bindings.

#### Parameters

`destination`

  Type: `GFile`

  Destination `GFile`.

  The data is owned by the caller of the method.

`flags`

  Type: `GFileCopyFlags`

  Set of `GFileCopyFlags`.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback_closure`

  Type: `GClosure`

  `GClosure` to invoke with progress information, or `NULL` if progress information is not needed.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`ready_callback_closure`

  Type: `GClosure`

  `GClosure` to invoke when the request is satisfied.

  The data is owned by the caller of the method.